> For the complete documentation index, see [llms.txt](https://docs.dmns.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dmns.app/api/api-endpoints/domain-info.md).

# Domain info

Check domain availability and other infos

This endpoint builds on top of the WHOIS data. It normalizes fields between TLDs, formats data to the same format and returns the most accurate data after checking both Registry and Registrar WHOIS.

Use this endpoint to get availability, registrant, status and more detailed info.

<mark style="color:blue;">`GET`</mark> `https://domains-api.com/domains/{domain}`

#### Path Parameters

| Name                                     | Type   | Description       |
| ---------------------------------------- | ------ | ----------------- |
| domain<mark style="color:red;">\*</mark> | String | Valid domain name |

#### Query Parameters

| Name   | Type   | Description               |
| ------ | ------ | ------------------------- |
| mode   | String | detailed, standard, cache |
| apiKey | String | Your API Key              |

#### Headers

| Name          | Type   | Description  |
| ------------- | ------ | ------------ |
| Authorization | String | Your API Key |

#### Domain object

```json
{
    "domain": "exmaple.com",
    "keyword": "exmaple",
    "tld": "com",
    "availability": "registered",
    "status": [
        "clientDeleteProhibited",
        "clientTransferProhibited",
        "clientUpdateProhibited"
    ],
    "ns": [
        "ara.ns.cloudflare.com",
        "jay.ns.cloudflare.com"
    ],
    "dates": {
        "created": "2004-10-08T13:53:42.000Z",
        "updated": "2023-03-19T11:04:50.000Z",
        "expiry": "2032-10-08T13:53:42.000Z",
        "expiryDays": 3291
    },
    "registrar": {
        "url": "http://www.cloudflare.com",
        "name": "CloudFlare, Inc.",
        "whois": "whois.cloudflare.com"
    },
    "contacts": {
        "registrant": {
            "name": null,
            "organization": null,
            "email": null,
            "phone": null,
            "street": null,
            "city": null,
            "postalCode": null,
            "state": null,
            "country": null
        },
        "admin": {
            "name": null,
            "organization": null,
            "email": null,
            "phone": null,
            "street": null,
            "city": null,
            "postalCode": null,
            "state": null,
            "country": null
        },
        "tech": {
            "name": null,
            "organization": null,
            "email": null,
            "phone": null,
            "street": null,
            "city": null,
            "postalCode": null,
            "state": null,
            "country": null
        },
        "billing": {
            "name": null,
            "organization": null,
            "email": null,
            "phone": null,
            "street": null,
            "city": null,
            "postalCode": null,
            "state": null,
            "country": null
        }
    },
    "whois": {
        ...whois data
    }
}
```

#### Examples

{% tabs %}
{% tab title="JS - fetch" %}

```javascript
const domain = 'ai.com'

fetch(`https://domains-api.com/domain/${domain}`, {
        headers: {
            Authorizaton: `Bearer _api_key_`
        }
    })
    .then(response => response.json())
    .then(domainInfo => {
        console.log('Domain:', domainInfo.domain)
        console.log('Availability:', domainInfo.availability)
        console.log('Important dates:', domainInfo.dates)
    })
```

{% endtab %}

{% tab title="JS - axios" %}

```javascript
import axios from 'axios'

const domain = 'github.com'
const domainInfoResponse = await axios(`https://domains-api.com/domain/${domain}?key=_key_`)
const domainInfo = domainInfoResponse.data

console.log('Domain:', domainInfo.domain)
console.log('Availability:', domainInfo.availability)
console.log('Important dates:', domainInfo.dates)
```

{% endtab %}
{% endtabs %}
